[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.Handle (deprecated)

The Operating System Handle for the current Pen.

## Declaration

Source position: graphics.pp line 673

`public property TPen.Handle : HPEN read GetHandle write SetHandle;`

## Description

Handle is a HPEN property with the handle allocated for the pen by the operating system or widgetset. Setting a new value for the property causes the pen Reference to be re-created. The Changed method is called to signal the OnChange event handler (when assigned).

Remark: | The Handle property has been marked as deprecated. Use the Reference property to access the Handle for the pen.

## See also

TPen.Reference |  | A Reference made to this Pen.